import { VNode } from 'vue'

export type Column = {
  children?: Column[]
  filter?: boolean | ((values: any[], onChange: (value: any) => void) => VNode)
  group?: string
  key: string
  label?: string
  sorter?: boolean | ((a: any, b: any) => number)
  _style?: any
  _props?: any
  _colStyle?: any
  _colProps?: any
}

export type ColumnFilter = {
  lazy?: boolean
  external?: boolean
}

export type ColumnFilterValue = {
  [key: string]: any
}

export type FooterItem = {
  label?: string
  _props?: any
}

export type Group = {
  children?: Group[] | Column[]
  colspan?: number
  deep?: number
  group?: string
  key: string
  label?: string
  _style?: any
  _props?: any
}

export type Item = {
  [key: string]: number | string | any
  _cellProps?: any
  _props?: any
  _selectable?: boolean
  _selected?: boolean
}

export type ItemsPerPageSelect = {
  external?: boolean
}

export type Pagination = {
  external?: boolean
}

export type Sorter = {
  external?: boolean
  multiple?: boolean
  resetable?: boolean
}

export type ScopedColumns = {
  [key: string]: any
  details?: (a: Item, b: number) => VNode
}

export type SorterValue = {
  column: string
  state: 'asc' | 'desc' | 0
}

export type TableFilter = {
  lazy?: boolean
  external?: boolean
}
